## org.eclipse.m2m.atl.engine.asm
Class ASMOperation.Label

    java.lang.Object
      org.eclipse.m2m.atl.engine.asm.ASMOperation.Label

Enclosing class:
  ASMOperation

    protected class ASMOperation.Label

extends java.lang.Object

Constructor Summary
`ASMOperation.Label(java.lang.String name)`

Method Summary
`void` `addInstruction(ASMInstruction i)`
`int` `getIndex()`
`java.lang.String` `getName()`
`void` `setIndex(int index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASMOperation.Label

    public ASMOperation.Label(java.lang.String name)

Method Detail

### getIndex

    public int getIndex()

### addInstruction

    public void addInstruction(ASMInstruction i)

### setIndex

    public void setIndex(int index)

### getName

    public java.lang.String getName()

Copyright 2007 IBM Corporation and others. All Rights Reserved.